Products
Update Product Group
Updates an existing product group's information.
Authorization
api_key api-key<token>
In: header
Path Parameters
groupId*string
The product group ID from the URL path
Request Body
application/json
Update data including tenantAlias for verification
name?string
metadata?
Construct a type with a set of properties K of type T
prorateUpgrades?boolean
tenantAlias*string
Response Body
application/json
application/json
application/json
curl -X PATCH "https://api.paynowpro.com/api/v1/groups/string" \ -H "Content-Type: application/json" \ -d '{ "tenantAlias": "string" }'{
"id": "string",
"tenantAlias": "string",
"name": "string",
"metadata": {
"property1": null,
"property2": null
},
"createdAt": "string",
"updatedAt": "string",
"prorateUpgrades": true
}{
"cause": null,
"body": {
"response": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
}
},
"request": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
},
"url": "string",
"method": "string"
},
"reason": "string",
"code": 400
}
}{
"cause": null,
"body": {
"response": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
}
},
"request": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
},
"url": "string",
"method": "string"
},
"reason": "string",
"code": 400
}
}